Subject: Re: linux-next: build failure after merge of the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 9 Sep 2022 15:24:53 +1000

Hi,

On Fri, 9 Sep 2022 14:10:06 +0900 Masahiro Yamada <[email-masked]> wrote:
>
> Hmm, I am testing allmodconfig in my tree,
> but it is not reproducible so far.
> 
> Do you have any more hint?
> (which commit exactly?, and what build command did you use? etc.)

I was trying your top of tree commit

  99ea8da56dca "kbuild: use objtool-args-y to clean up objtool arguments"

(merged with Linus' tree and some fix patches).

I am doing a cross build with an out of tree object directory:

$ make ARCH=x86_64 CROSS_COMPILE=x86_64-linux-gnu- O=../x86_64_allmodconfig -s allmodconfig
$ make ARCH=x86_64 CROSS_COMPILE=x86_64-linux-gnu- O=../x86_64_allmodconfig -j100 -O -s

$ x86_64-linux-gnu-gcc --version
x86_64-linux-gnu-gcc (Debian 11.2.0-9) 11.2.0
$ x86_64-linux-gnu-ld --version
GNU ld (GNU Binutils for Debian) 2.37
$ make --version
GNU Make 4.3
Built for powerpc64le-unknown-linux-gnu

> > make[2]: *** No rule to make target 'objtool/objtool'.  Stop.  
> 
> Presumably, it is failing in tools/Makefile,
> but I do not know how this can happen...

Right, I could not see what caused this, either.  I tried reverting
that top commit, but that did not help.

-- 
Cheers,
Stephen Rothwell